<?php
/**
 * @package WordPress
 * @subpackage Width Smasher
 */

if ( post_password_required() ) : ?>
<p><?php _e('Enter your password to view comments.'); ?></p>
<?php return; endif; ?>
<?php $oddcomment = 'alt'; /* This variable is for alternating comment background */ ?>
<?php if ( $comments ) : ?>
				<div id="comments">
					<h1><?php _e('The Discussion'); ?></h1>
					<p class="txt"><?php _e('see what everyone is saying'); ?></p>
					<ul>
<?php foreach ($comments as $comment) : ?>
<?php $comment_class = (1 == $comment->user_id) ? 'author' : ''; ?>
						<li class="<?php echo $oddcomment; ?> <?php echo $comment_class; ?>" id="comment-<?php comment_ID() ?>">
							<div class="authorDetails">
								<?php echo get_avatar( $comment, 40 ); ?>
								
								<cite><?php comment_author_link() ?> <?php if ($comment->comment_approved == '0') : ?><em>- <?php _e('Your comment is awaiting moderation.'); ?></em><?php endif; ?></cite>				
								<span class="date"><?php comment_date('F jS, Y') ?> at <?php comment_time() ?></span>
								<span class="commentNumber"><a href="#comment-<?php comment_ID() ?>">#<?php echo 1 + $commentcount++; ?></a></span>							
							</div>
							<div class="txt">
<?php comment_text() ?>
							</div>
						</li>
<?php /* Changes every other comment to a different class */
		if ('alt' == $oddcomment) $oddcomment = '';
		else $oddcomment = 'alt';
	?>
<?php endforeach; ?>
					</ul>
				</div>
<?php else : // If there are no comments yet ?><h2 style="margin-bottom:20px; padding-bottom:30px;"><?php _e('No comments yet.'); ?></h2>
<?php endif; ?>
<?php if ( comments_open() ) : ?>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.'), get_option('siteurl')."/wp-login.php?redirect_to=".urlencode(get_permalink()));?></p>
<?php else : ?>
				<div id="commentForm">
					<h1><?php _e('Respond'); ?></h1>
					<p class="txt"><?php _e('get in on the action.'); ?></p>
						<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
						<?php if ( $user_ID ) : ?><p><?php printf(__('Logged in as %s .'), '<strong><a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a></strong>'); ?> <strong><a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account') ?>"><?php _e('Log out &raquo;'); ?></a></strong></p><br /><?php else : ?>
	<p>
							<label>
								<span><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" /></span> <?php _e('Name'); ?> <?php if ($req) _e('*'); ?>
							
							</label>
						</p>
						<p>
							<label>
								<span><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" /></span> <?php _e('Email'); ?> <?php if ($req) _e('*'); ?>
							
							</label>
						</p>
						<p>
							<label>
								<span><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" /></span> <?php _e('Website'); ?>
							</label>
						</p><?php endif; ?>
						
						<p>
							<label>
								<span><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></span>
							</label>
						</p>
						<p>
							<input name="submit" type="submit" id="submit" class="button" tabindex="5" value="<?php echo attribute_escape(__('Submit Comment')); ?>" />
							<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
						</p>
						<?php do_action('comment_form', $post->ID); ?>
					
						<p id="cNote">* <?php _e('Required'); ?></p>
					</form>
				</div>
				<!-- /commentForm -->
<?php endif; // If registration required and not logged in ?><?php else : // Comments are closed ?>
<p><?php _e('Sorry, the comment form is closed at this time.'); ?></p>
<?php endif; ?>
